VERSION 5.00
Begin VB.Form FormQEMStatus 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Query Emulator Staus"
   ClientHeight    =   2625
   ClientLeft      =   3690
   ClientTop       =   3960
   ClientWidth     =   5160
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2625
   ScaleWidth      =   5160
   ShowInTaskbar   =   0   'False
   Begin VB.ComboBox SessionIdList 
      BackColor       =   &H00FFFF80&
      ForeColor       =   &H00000000&
      Height          =   288
      Left            =   600
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   360
      Width           =   492
   End
   Begin VB.Frame Frame2 
      Caption         =   "Emulator Status"
      Height          =   1452
      Left            =   240
      TabIndex        =   4
      Top             =   960
      Width           =   3132
      Begin VB.Label LabelQEMDDEAPIStatus 
         Height          =   252
         Left            =   1680
         TabIndex        =   10
         Top             =   1080
         Width           =   1212
      End
      Begin VB.Label LabelQEMCOMMStatus 
         Height          =   252
         Left            =   1680
         TabIndex        =   9
         Top             =   720
         Width           =   1212
      End
      Begin VB.Label LabelQEMSessionStatus 
         Height          =   252
         Left            =   1680
         TabIndex        =   8
         Top             =   360
         Width           =   1212
      End
      Begin VB.Label LabelQEMDDEAPI 
         Caption         =   "DDE/EHLLAPI: "
         Enabled         =   0   'False
         Height          =   252
         Left            =   240
         TabIndex        =   7
         Top             =   1080
         Width           =   1332
      End
      Begin VB.Label labelQEMSession 
         Caption         =   "Session status:"
         Height          =   252
         Left            =   240
         TabIndex        =   5
         Top             =   360
         Width           =   1332
      End
      Begin VB.Label labelQEMComm 
         Caption         =   "Communication:"
         Enabled         =   0   'False
         Height          =   252
         Left            =   240
         TabIndex        =   6
         Top             =   720
         Width           =   1332
      End
   End
   Begin VB.CommandButton ExitCommand 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   375
      Left            =   3600
      TabIndex        =   3
      Top             =   600
      Width           =   1335
   End
   Begin VB.CommandButton QueryCommand 
      Caption         =   "&Query Status "
      Default         =   -1  'True
      Height          =   375
      Left            =   3600
      TabIndex        =   2
      Top             =   120
      Width           =   1335
   End
   Begin VB.Frame Frame1 
      Caption         =   "Session &Id"
      Height          =   612
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   1212
   End
End
Attribute VB_Name = "FormQEMStatus"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub ExitCommand_Click()
  Unload FormQEMStatus
End Sub

Private Sub Form_Load()
  SessionIdList.ListIndex = 0
End Sub

Private Sub QueryCommand_Click()

   IsProcessing = True
   FormMain.mnuFile.Enabled = False
   FormMain.mnuPCSAPI.Enabled = False

   If Len(SessionIdList.Text) = 0 Then
     MsgBox MSG_NO_SESSIONID, 48, MSG_SAMPLE_PROG
   Else
     SessionID% = Asc(SessionIdList.Text)
     rc = pcsQueryEmulatorStatus(SessionID%)
     If (rc And SESSION_STARTED) > 0 Then
       LabelQEMSessionStatus.Caption = "Active"
       labelQEMComm.Enabled = True
       LabelQEMCOMMStatus.Visible = True
       LabelQEMDDEAPI.Enabled = True
       LabelQEMDDEAPIStatus.Visible = True
       If (rc And SESSION_ONLINE) > 0 Then
         LabelQEMCOMMStatus.Caption = "Connected"
       Else
         LabelQEMCOMMStatus.Caption = "Disconnected"
       End If
       If (rc And SESSION_API_ENABLED) > 0 Then
         LabelQEMDDEAPIStatus.Caption = "Enabled"
       Else
         LabelQEMDDEAPIStatus.Caption = "Disabled"
       End If
     Else
       LabelQEMSessionStatus.Caption = "Inactive"
       labelQEMComm.Enabled = False
       LabelQEMCOMMStatus.Visible = False
       LabelQEMDDEAPI.Enabled = False
       LabelQEMDDEAPIStatus.Visible = False
     End If
     TempLogData$ = Time$ + ": Query Emulator Status" + Chr$(13) + Chr$(10) + Chr$(9)
     TempLogData$ = TempLogData$ + "Session ID = " + Chr$(SessionID%) + ", RC = " + Hex$(rc) + Chr$(13) + Chr$(10)
     LogData$(LogEnd) = TempLogData$
     UpdateLogPointer
     UpdateLog
   End If
     
     IsProcessing = False
     FormMain.mnuFile.Enabled = True
     FormMain.mnuPCSAPI.Enabled = True

End Sub

